﻿@{
    Layout = null;
}

<div class="gridster" id="dashboardOverviewGrid">
    <ul>
        <li ng-if="MC.isAllowedAction('SaleDistribution_View')" data-row="6" data-col="3" data-sizex="2" data-sizey="2" class="tile bg-icon" data-click="transform-scale" style="outline-color: #e67e22;" ui-sref="FullTotalSaleChart({seasonDomain:MC.stateParams.seasonDomain})">
            <div class="brand">
                <div class="label text-center">Sale distribution</div>
            </div>
            <div style="height: 260px;margin: 45px 30px;">
                <div kendo-chart k-options="pieChartOption" style="height:100%;width:100%;position:absolute;"></div>
            </div>
        </li>
        <li ng-if="MC.isAllowedAction('TotalRegistration_View')" data-row="6" data-col="5" data-sizex="2" data-sizey="1" class="tile bg-icon" data-click="transform-scale" style="outline-color: #9b59b6;">
            <div class="tile-content" style="background-image: url(/Images/Dashboard/Overviews/counter-atendees.png);padding-top: 43px;color: #9b59b6;">
                <span id="totalAttendees"></span>
            </div>
            <div class="brand">
                <div class="label text-center">Total number of registrations</div>
            </div>
        </li>
        <li ng-if="MC.isAllowedAction('TotalSale_View')" data-row="9" data-col="1" data-sizex="4" data-sizey="1" class="tile bg-icon" data-click="transform-scale" style="outline-color: #e67e22;" ui-sref="FullTotalSeasonPaidAmountChart({seasonDomain:MC.stateParams.seasonDomain})">
            <div class="tile-content" style="background-image: url(/Images/Dashboard/Overviews/counter-sale.png);color: #e67e22;padding-top: 43px;">
                <span id="totalSale"></span>
            </div>
            <div class="brand">
                <div class="label text-center">Total sale</div>
            </div>
            <br />
        </li>
        <li data-row="1" data-col="1" data-sizex="6" data-sizey="3" class="tile recent-registrations bg-icon" style="outline-color: #1abc9c;">
            <div class="tile-content no-padding">
                <form ng-submit="search()" class="clearfix padding-left20 padding-right20 padding-top10">
                    <label for="searchTerm" class="full-width">Search</label>
                    <div class="place-left" style="width: 500px">

                        <div class="place-left input-control select one-third padding-right10">
                            <select ng-model="SearchType" ng-change="searchTerm = ''; firstName=''; lastName='';"
                                    ng-options="obj.Value as obj.Text for obj in SearchTypes"></select>
                        </div>

                        <div ng-show="SearchType != 'Name'" class="place-left input-control text two-third padding-right10">
                            <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="searchTerm" type="search" name="SearchTerm" ng-model="searchTerm" placeholder="{{SearchType == 'Email'? 'Email': 'Confirmation ID'}}">
                        </div>

                        <div ng-show="SearchType == 'Name'" class="place-left input-control text two-third padding-right10">
                            <div class="place-left input-control text one-half padding-right10">
                                <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="firstName" type="search" ng-model="firstName" placeholder="First name">
                            </div>
                            <div class="place-left input-control text one-half padding-right10">
                                <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="lastName" type="search" ng-model="lastName" placeholder="Last name">
                            </div>
                        </div>

                    </div>

                    <div class="place-left" style="width: 275px">
                        <button class="button primary place-left" type="submit" style="height: 34px;">Search</button>
                        <button class="button link place-left" type="button" ng-click="searchTerm = ''; firstName=''; lastName='';search();" style="height: 34px;">Clear</button>
                        <button class="button jbi-loading-1 place-right" style="height: 34px;" ng-click="search()"></button>
                    </div>

                </form>

                <kendo-grid id="grid" options="seasonRecentRegistration" class="k-grid-adjust-columns">

                </kendo-grid>

            </div>
        </li>
        <li ng-if="MC.isAllowedAction('Tour_View')" data-row="10" data-col="1" data-sizex="6" data-sizey="1" class="tile tour bg-icon" data-click="transform-scale" style="outline-color: #0e6e8d;" ui-sref="Tours">
            <h6>Welcome to Jumbula</h6>
            <h5>Let's have a tour</h5>
        </li>
        <li ng-if="MC.isAllowedAction('CapacityReport_View')" data-row="4" data-col="5" data-sizex="2" data-sizey="2" class=" tile recent-registrations bg-icon" data-click="transform-scale" style="outline-color: #1abc9c;" ui-sref="FullcapacityChart({seasonDomain:MC.stateParams.seasonDomain})">
            <div class="brand">
                <div class="label text-center">Capacity report</div>
            </div>
            <div style="height: 260px;margin: 40px 0px;">
                <div kendo-chart k-options="barChartOption" style="height:100%;width:100% ;position:absolute;"></div>
            </div>
        </li>
        <li ng-if="MC.isAllowedAction('AttendanceReports_View')" data-row="4" data-col="3" data-sizex="2" data-sizey="2" class=" tile recent-registrations bg-icon" data-click="transform-scale" style="outline-color: #1abc9c;">
            <div class="brand">
                <div class="label text-center">Attendance reports</div>
            </div>
            <div style="height: 260px; margin: 40px 0px; text-align: center; border-top: 1px solid black">
                <div style="margin-top: 10px">
                    <a ui-sref="AttendanceSheetAdvanced({seasonDomain:MC.stateParams.seasonDomain})"> Attendance sheet</a> <br />
                </div>
                <div style="margin-top: 10px">
                    <a ui-sref="SignOutSheetAdvanced({seasonDomain:MC.stateParams.seasonDomain})"> Sign-out sheet</a>
                </div>
                <div style="margin-top: 10px">
                    <a ui-sref="SignOutSheetAdvancedV2({seasonDomain:MC.stateParams.seasonDomain})"> Sign-out sheet v2</a>
                </div>
                <div style="margin-top: 10px">
                    <a ui-sref="SignOutSheetAdvancedV3({seasonDomain:MC.stateParams.seasonDomain})"> Sign-out sheet v3</a>
                </div>
                <div style="margin-top: 10px">
                    <a ui-sref="SignOutSheetAdvancedV4({seasonDomain:MC.stateParams.seasonDomain})"> Sign-out sheet v4</a>
                </div>
            </div>
        </li>
        <li ng-if="MC.isAllowedAction('ProgramCalendar_View')" data-row="6" data-col="1" data-sizex="2" data-sizey="2" class="tile bg-icon" data-click="transform-scale" style="outline-color: #e67e22;" ui-sref="SeasonProgramScheduler({seasonDomain:MC.stateParams.seasonDomain})">
            <div class="brand">
                <div class="label text-center">Program calendar</div>
                <img src="/Areas/Dashboard/Content/Image/seasonCalendar.png" style="padding-top: 10px;"/>
            </div>

        </li>
        <li ng-if="MC.isAllowedAction('DailySale_View')" data-row="4" data-col="1" data-sizex="2" data-sizey="2" class=" tile recent-registrations bg-icon" data-click="transform-scale" style="outline-color: #1abc9c;" ui-sref="FullSaleChart({seasonDomain:MC.stateParams.seasonDomain})">
            <div class="brand">
                <div class="label text-center">Daily sale</div>
            </div>
            <div style="height: 260px;margin: 10px 0px;">
                <div kendo-chart k-options="linearChartOption" style="height:100%;width:100%;position:absolute;"></div>
            </div>
        </li>
    </ul>

</div>
<script>
    // Initialize gridster
    var dashboardOverviewGrid = $("#dashboardOverviewGrid ul").gridster({
        widget_margins: [10, 10],
        widget_base_dimensions: [120, 120],
        autogrow_cols: true,
        resize: {
            enabled: false
        }

    }).data('gridster');
    dashboardOverviewGrid.disable();

    // Scale down tiles by mouse down
    $('[data-click="transform-scale"]').mousedown(function () {
        $(this).addClass("transformed-scale");
    }).mouseup(function () {
        $(this).removeClass("transformed-scale");
    }).mouseout(function () {
        $(this).removeClass("transformed-scale");
    });
</script>


